GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtEvent Class Reference
GTPin: Event Handling

Abstract representation of the event generated by GTPin. More...

`#include <igt_event.h>`

Inherited by gtpin::IGtInternalEvent, and gtpin::IGtKernelEvent.

## Public Member Functions
virtual GtStatus | Status () const =0
| Return status of the operation that reported this event.
virtual GtEventReaction | DefaultReaction () const =0
| Return default reaction on this event.
virtual GtCoreString | ToString () const =0
| Return human-readable representation of this event.
virtual GtCoreUniquePtr< IGtEvent > | Clone () const =0
| Return copy of this event created in the GTPin core memory storage.
virtual GtEventReaction | Handle (IGtEventHandler &eventHandler) const =0
| Handle this event with the specified event handler.

## Detailed Description

Abstract representation of the event generated by GTPin.

## Member Function Documentation

virtual GtEventReaction gtpin::IGtEvent::Handle | ( | IGtEventHandler & | eventHandler | ) | const`[pure virtual]`

Handle this event with the specified event handler.

Parameters:

  [in] | eventHandler | Event handler to be called: eventHandler.OnEvent(*this)

Returns:
  Action requested by the event handler

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT